Subject: bug#30641: closed (Re: bug#30641: Make 'guix refresh' to ignore "v" prefix in CPAN updater)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 Mar 2018 13:59:02 +0000

Your bug report

#30641: Make 'guix refresh' to ignore "v" prefix in CPAN updater

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30641: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30641
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30641: Make 'guix refresh' to ignore "v" prefix in CPAN updater
From: [email-masked] (Ludovic Courtès)
To: Oleg Pykhalov <[email-masked]>
Cc: [email-masked]
Date: Thu, 01 Mar 2018 14:58:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Oleg Pykhalov <[email-masked]> skribis:

> Marius Bakke <[email-masked]> writes:
>
>> Oleg Pykhalov <[email-masked]> writes:
>>
>>> Marius Bakke <[email-masked]> writes:
>>>
>>>> Sorry, I meant the opposite: we don't add the "v" prefix.  It would be
>>>> nice to make the CPAN updater aware of that.
>>>
>>> I'll close current bug report.  Should we open a new one for CPAN
>>> updater fix purpose?
>
> Sounds good!  I think the GitHub updater already ignores the "v" prefix
> when comparing versions, so there might be some inspiration there.
>
>>>>> I see a bunch of packages packages have "v" prefix:
>>>>> --8<---------------cut here---------------start------------->8---
>>>>> ./gnu/packages/perl.scm:3599:    (version "v2.49.1")
>>>>> ./gnu/packages/perl.scm:7969:    (version "v0.0.2")
>>>>> ./gnu/packages/perl.scm:8697:  (version "v0.2.13")
>>>>> ./gnu/packages/networking.scm:778:  (version "v0.003")
>>>>> ./gnu/packages/mail.scm:1755:  (version "v2.9.0")
>>>>> --8<---------------cut here---------------end--------------->8---
>>>>
>>>> Let's fix these :-)
>>>
>>> I guess it's better to do after a CPAN updater fix.  WDYT?
>
> No opinion either way :-)

Could you fix these?

> Example of ‘guix refresh’ [2] wants to upgrade a package with the same
> version because of ‘v’ prefix:
>
> /home/natsu/src/guix-wip-licensecheck/gnu/packages/license.scm:108:2: licensecheck <at> 3.0.31: can be upgraded to v3.0.31

That turned out to be easy to fix, done in
b402f4ee34d35f9b934b5449d2cc419dc287895e.

Thanks,
Ludo’.

Subject: Make 'guix refresh' to ignore "v" prefix in CPAN updater
From: Oleg Pykhalov <[email-masked]>
To: [email-masked]
Cc: Marius Bakke <[email-masked]>
Date: Wed, 28 Feb 2018 05:12:26 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

Previous discussion [1] talks about ‘guix refresh’ for CPAN updater
needs to ignore ‘v’ prefix in a ‘version’ field of a package record.

Marius Bakke <[email-masked]> writes:

> Oleg Pykhalov <[email-masked]> writes:
>
>> Marius Bakke <[email-masked]> writes:
>>
>>> Sorry, I meant the opposite: we don't add the "v" prefix.  It would be
>>> nice to make the CPAN updater aware of that.
>>
>> I'll close current bug report.  Should we open a new one for CPAN
>> updater fix purpose?

Sounds good!  I think the GitHub updater already ignores the "v" prefix
when comparing versions, so there might be some inspiration there.

>>>> I see a bunch of packages packages have "v" prefix:
>>>> --8<---------------cut here---------------start------------->8---
>>>> ./gnu/packages/perl.scm:3599:    (version "v2.49.1")
>>>> ./gnu/packages/perl.scm:7969:    (version "v0.0.2")
>>>> ./gnu/packages/perl.scm:8697:  (version "v0.2.13")
>>>> ./gnu/packages/networking.scm:778:  (version "v0.003")
>>>> ./gnu/packages/mail.scm:1755:  (version "v2.9.0")
>>>> --8<---------------cut here---------------end--------------->8---
>>>
>>> Let's fix these :-)
>>
>> I guess it's better to do after a CPAN updater fix.  WDYT?

No opinion either way :-)

Example of ‘guix refresh’ [2] wants to upgrade a package with the same
version because of ‘v’ prefix:
--8<---------------cut here---------------start------------->8---
/home/natsu/src/guix-wip-licensecheck/gnu/packages/license.scm:108:2: licensecheck <at> 3.0.31: can be upgraded to v3.0.31
--8<---------------cut here---------------end--------------->8---

[1]  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30274#164
[2]  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30274#161

Oleg.